%define buildgtkhtml 1
%define pygtk 2.4.0
%define gnomepython 2.10.0
%define oname gnome-python
%define build_gda 1

%define subrel 9

Summary: GNOME extra bindings for Python
Name: gnome-python-extras
Version: 2.19.1
Release: %mkrel 4
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.bz2
Patch: gnome-python-extras-2.14.1-firefox.patch
Patch1: gnome-python-extras-2.12.1-gksu.patch
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/
License: LGPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/%name-root
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python >= %gnomepython
BuildRequires: python-devel >= 2.2
BuildRequires: libgnomeui2-devel >= 2.0.0
#gw, hmm, it still needs gtksourceview-1.0
BuildRequires: gtksourceview1-devel >= 1.1.0
BuildRequires: libexpat-devel
BuildRequires: avahi-glib-devel avahi-client-devel
Requires: gnome-python >= %gnomepython
Requires: gnome-python-gnomevfs >= %gnomepython

%if %{buildgtkhtml}
BuildRequires: libgtkhtml2-devel >= 1.99.9
%endif


%description
The gnome-python-extras package contains the additional Python
bindings for GNOME.


%if %build_gda
%package -n %oname-gda
Summary: Python bindings for GNU Data Access
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: gda2.0-devel

%description -n %oname-gda
This module contains a wrapper that allows programs written in Python
to use GNU Data Access.

%package -n %oname-gda-devel
Summary: C header of the GNU Data Access Python bindings
Group: Development/C
Requires: %oname-gda = %version

%description -n %oname-gda-devel
This is a C header needed for building extensions to the GNU Data
Access Python bindings.
%endif

%package -n %oname-gksu
Summary: Python bindings for GKSu
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgksu1.2-devel
BuildRequires: libgksuui-devel

%description -n %oname-gksu
This module contains a wrapper that allows programs written in Python
to use GKSu.

%package -n %oname-gdl
Summary: Python bindings for Gnome Devtool Libraries
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgdl-devel

%description -n %oname-gdl
This module contains a wrapper that allows programs written in Python
to use Gnome Devtool Libraries.

%package -n %oname-gtkspell
Summary: Python bindings for gtkspell
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: gtkspell-devel

%description -n %oname-gtkspell
This module contains a wrapper that allows gnome python apps to use
the gtkspell library.

%package -n %oname-gtkmozembed
Summary: Python bindings for mozilla
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: mozilla-firefox-devel
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}

%description -n %oname-gtkmozembed
This module contains a wrapper that allows gnome python apps to embed
the mozilla browser.

%package -n %oname-gtkhtml2
Summary: Python bindings for interacting with gtkhtml2
Group: Development/GNOME and GTK+

%description -n %oname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python


%prep
%setup -q
%patch1 -p1 -b .gtksu
%if %mdkversion <= 200700
%patch -p1 -b .firefox
autoconf
%endif

%build
./configure --prefix=%_prefix --libdir=%_libdir

%make GNOME_PYTHON_DEFSDIR=`pkg-config --variable=defsdir gnome-python-2.0`

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%_libdir/python%pyver/site-packages/gtk-2.0/egg/
%doc examples/egg/

%files -n %oname-gksu
%defattr(755,root,root,755)
%_libdir/python%pyver/site-packages/gtk-2.0/gksu/


%if %build_gda
%files -n %oname-gda
%defattr(755,root,root,755)
%_datadir/pygtk/2.0/argtypes/gda-*
%{_libdir}/python%pyver/site-packages/gtk-2.0/gda.so

%files -n %oname-gda-devel
%defattr(755,root,root,755)
%_libdir/pkgconfig/pygda-3.0.pc
%_includedir/pygda-3.0/
%endif

%files -n %oname-gdl
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gdl.so
%doc examples/gdl

%files -n %oname-gtkspell
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkspell.so
%doc examples/gtkspell
%doc %_datadir/gtk-doc/html/pygtkspell

%files -n %oname-gtkmozembed
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkmozembed.so
%doc %_datadir/gtk-doc/html/pygtkmozembed

%if %{buildgtkhtml}
%files -n %oname-gtkhtml2
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkhtml2.so
%defattr(644,root,root,755)
%doc examples/gtkhtml2
%endif




%changelog
* Thu Nov 13 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.9mdv2008.0
- rebuild against firefox 2.0.0.18

* Thu Sep 25 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.8mdv2008.0
- rebuild against firefox 2.0.0.17

* Thu Jul 17 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.7mdv2008.0
- rebuild against firefox 2.0.0.16

* Mon Jul 07 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.6mdv2008.0
- rebuild against firefox 2.0.0.15

* Thu Jun 05 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.5mdv2008.0
- rebuild against firefox 2.0.0.14

* Thu Mar 27 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.4mdv2008.0
- rebuild against firefox 2.0.0.13

* Wed Feb 20 2008 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.3mdv2008.0
- rebuild against firefox 2.0.0.12

* Wed Dec 12 2007 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.2mdv2008.0
- rebuild against firefox 2.0.0.11

* Sat Oct 20 2007 Vincent Danen <vdanen@mandriva.com> 2.19.1-4.1mdv2008.0
- rebuild against firefox 2.0.0.8

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-4mdv2008.0
+ Revision: 57228
- fix buildrequires

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-3mdv2008.0
+ Revision: 39892
- rebuild for new ff
- fix buildrequires
- new version
- update file list

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-4mdv2007.1
+ Revision: 148588
- Build with correct firefox

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.14.3-3mdv2007.1
+ Revision: 148366
- rebuild for new firefox

* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 2.14.3-2mdv2007.1
+ Revision: 144443
- create devel package

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.1
+ Revision: 126972
- new version
- build with libgksu1.2 again

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.14.2-13mdv2007.1
+ Revision: 106105
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - rebuild for new libgksu2

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 2.14.2-11mdv2007.1
+ Revision: 104392
- reenable gda module

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-10mdv2007.1
+ Revision: 92047
- fix firefox detection

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-9mdv2007.1
+ Revision: 88245
- fix buildrequires
- rebuild

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-7mdv2007.1
+ Revision: 79221
- Import gnome-python-extras

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-7mdv2007.1
- unpack patches
- rebuild for new firefox

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-6mdv2007.0
- Rebuild for new firefox

* Tue Aug 08 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-5mdv2007.0
- fix buildrequires

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- rebuild for new firefox

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-3mdv2007.0
- Rebuild with latest dbus

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- rebuild for new firefox

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-1mdv2007.0
- update patch 0
- New release 2.14.1

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- rebuild for new libpng

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-3mdk
- rebuild for new firefox

* Tue Apr 25 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- rebuild for new firefox

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- new version
- drop the packages that were moved to gnome-python-desktop

* Thu Apr 06 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-7mdk
- fix mozilla-firefox dep

* Sat Mar 11 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-6mdk
- fix deps (bug 21563)

* Thu Feb 16 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-5mdk
- drop gda

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- add gksu support
- fix buildrequires

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-3mdk
- fix gtksourceview deps (bug 18777)

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new openssl

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0
- add mediaprofiles package
- update file list
- requires new nautilus-burn
- regenerate configure
- rediff the patch
- enable gdl wrapper
- add pygda

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patches
- New release 2.10.2

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- add gdl bindings
- patch for gcc4

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- initial mdk version

* Tue Apr 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.1-0.1gpw
- patch configure, regeneration didn't work
- fix build
- New release 2.10.1

* Tue Mar 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-0.1gpw
- bump deps
- fix build for firefox
- New release 2.10.0

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.4-0.1gpw
- New release 2.9.4

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.3-0.2gpw
- add bindings for gtop, nautilus-burn and totem-plparser
- New release 2.9.3

* Sat Jan 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.2gpw
- rebuild for new howl

* Mon Jan 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add mozembed and gtkspell modules
- New release 2.9.2

* Mon Dec 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.2gpw
- rebuild for new python

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- update file list

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.9.1-1mdk
- New release 2.9.1

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.0-0.1gpw
- initial package

